# PhasicFlow: indexContainer< IndexType >::IndexAccessor< ViewType > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

indexContainer< IndexType >::IndexAccessor< ViewType > Class Template Reference

Helper class for accessing index on host or device. More...

## Public Member Functions

| IndexAccessor (ViewType v)
INLINE_FUNCTION_HD IndexType | operator() (uint32 i) const
uint32 | size () const

## Protected Attributes

ViewType | view_

## Detailed Description

### template<typename IndexType>
template<typename ViewType>
class pFlow::indexContainer< IndexType >::IndexAccessor< ViewType >

Helper class for accessing index on host or device.

Definition at line 60 of file indexContainer.hpp.

## Constructor & Destructor Documentation

## IndexAccessor()

IndexAccessor | ( | ViewType | v | ) |

inline

Definition at line 66 of file indexContainer.hpp.

## Member Function Documentation

## operator()()

INLINE_FUNCTION_HD IndexType operator() | ( | uint32 | i | ) | const

inline

Definition at line 70 of file indexContainer.hpp.

References indexContainer< IndexType >::IndexAccessor< ViewType >::view_.

## size()

uint32 size | ( |  | ) | const

inline

Definition at line 75 of file indexContainer.hpp.

References indexContainer< IndexType >::IndexAccessor< ViewType >::view_.

## Member Data Documentation

## view_

ViewType view_

protected

Definition at line 63 of file indexContainer.hpp.

Referenced by indexContainer< IndexType >::IndexAccessor< ViewType >::operator()(), and indexContainer< IndexType >::IndexAccessor< ViewType >::size().

The documentation for this class was generated from the following file:

- src/phasicFlow/containers/indexContainer/indexContainer.hpp